# Build-Stage
FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
WORKDIR /app

# Projektdateien kopieren und Abhängigkeiten wiederherstellen
COPY *.csproj ./
RUN dotnet restore

# Restlichen Code kopieren und veröffentlichen
COPY . ./
RUN dotnet publish -c Release -o out

# Runtime-Stage
FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS runtime
WORKDIR /app

COPY --from=build /app/out ./

EXPOSE 5000
EXPOSE 5001

ENTRYPOINT ["dotnet", "Watcher.dll"]
